For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
      • GETList documents for a business
      • GETGet a document
      • GETGet document download URL
LogoLogo
Contact SalesGet Support
Middesk APIDocuments

Get a document

GET
https://api.middesk.com/v1/documents/:id
GET
/v1/documents/:id
$curl https://api.middesk.com/v1/documents/id \
> -H "Authorization: Bearer <token>"
1{
2 "object": "document",
3 "id": "00000000-0000-0000-0000-000000000000",
4 "document_type": "Initial filing",
5 "filename": "certificate_of_good_standing.pdf",
6 "content_type": "application/pdf",
7 "size": 1234,
8 "download_url": "https://middesk.test/document.pdf?expires_in=10&special=false",
9 "created_at": "2024-01-15T12:00:00Z",
10 "source": {
11 "type": "registration",
12 "id": "00000000-0000-0000-0000-000000000001",
13 "metadata": {
14 "state": "CA",
15 "status": "active"
16 }
17 },
18 "metadata": {
19 "file_number": "12345"
20 }
21}
Was this page helpful?
Previous

Get document download URL

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Document ID

Response

document found
objectenum
Allowed values:
idstringformat: "uuid"
document_typestring

Type of document. Common values include: Initial_Filing, Certificate of Good Standing, Articles of Incorporation, Initial Filing (UCC1), Amendment (UCC3)

filenamestring
Name of the document file
content_typestring
MIME type of the document
sizeinteger
File size in bytes
download_urlstringformat: "uri"
URL to download the document
created_atdatetime
sourceobject
filing_datedatetime or null
metadatamap from strings to any
Additional document metadata

Errors

404
Get Document Request Not Found Error